I add "Translation or Rotation" command to my "Move" toolbar in assembly
While in Assembly Design click on the command and then the part or product, then click on the "Position" tab for location.
Have you tried opening the NX file in notepad and searching for "NX"? On the files I tried it on it comes to a line that lists multiple NX versions, I assume the first one listed is the latest version it was saved in
Side note - same can be done with a catia file. search for "Last", "Min", etc...
Would using the "Log File" help for what you are doing?
Specify the output and do a dry, open the txt file and make modifications as needed.
Change "NAMING_RULE" to "USER_NAME", 4th(?) line down from the top.
Then run the clone and use the "Load and Apply Existing Log File".
I always point the...
I am trying to get a journal to cycle through an assembly with no luck.
I get the error: "Failed: NXOpen.NXException: This operation can only be done on the display part
at NXOpen.Layer.LayerManager.GetAllObjectsOnLayer(Int32 layer)"
I am assuming I need to make the prototype...
Is there a way to find out what layers are included in a reference set?
Is it possible to write a journal to list all reference sets and the layers included in each?
Thanks,
Kevin
Curious if anybody can explain the differences between a traditional catia license and a plm express license. Pros and cons between the two?
Thanks
Kevin
Fernando,
I have attached a file, I get the error when I try to run a variable fillet. If I separate the surfaces I can use Shape Fillet without issue. After reconstructing a shelf I no longer had issues (Join.130)
Any help in understanding the error would be much appreciated.
Thanks,
Kevin...
I am doing some surfacing and I am getting an error that I do not understand. It seems to only effect "Variable Fillet. Any help with this would be greatly appreciated.
Error:
"Feature Definition Error"
"In-Out Cycle detected in feature structure"
Thanks,
Kevin
V5R22
If your assembly load option is set to "Structure Only" the above journal can be used to selectively load parts based off text search based off user input. Example: user inputs "01", any file in assembly that contains "01" will be loaded.
Do an alt+F11, paste in code, save and give it a try
Here is something I am working on that may be of use:
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Utilities
Imports System.Collections
Imports System.Windows.Forms
Imports System.Collections.Generic
Imports NXOpenUI
Module NXJournal
Dim theSession As Session =...
You could try "Global Deformation" using "Points from File" as the Defined By
Text document example would be like:
-334.612 495.821 -109.404 0.442 2.184 8.060
-333.567 495.182 -109.236 0.441 2.169 8.019
-334.621 494.557 -109.067 0.438 2.186 8.072
Format: actual locations in X Y Z followed by...
I am running a K2000 and it seems to work just fine for me. But, I am using the 340.52 driver. If I remember correctly there are new drivers but we were having issues with those.